Page MenuHomePhabricator

Move wikibugs and gerrit-wm out of #mediawiki
Closed, ResolvedPublic

Description

Various users find them inappropriate in MediaWiki-General because it is a support channel, not as much a developer discussion channel (#wikimedia-dev).

Whether to move them there or to a dedicated channel isn't clear yet.

See discussions on bug 46282 and bug 46144.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz46322

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:30 AM
bzimport set Reference to bz46322.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Mar 19 2013, 1:25 PM

Aggregating various arguments that apply generally to moving them out (as opposed to moving any specific bot):

(Quote bug 46282 comment #0)

The only times I've found it useful is when I was live reviewing and wanted
to point someone to a change/comment I made.

(Quote bug 46282 comment #1)

Use /ignore in your favorite IRC client. Works well.

(Quote bug 46282 comment #2)

I disagree with "it's completely useless", but in this case, when someone
knows he is going to spam the channel and has op on MediaWiki-General, he should
have quieted [the bot] before sending all those changes.

(Quote bug 46282 comment #6)

We're going to move both. Need puppet changes.

(Quote bug 46144 comment 5)

We actively had a user saying "This channel obviously isn't for support...two
pages of scrollback and I've spotted 2 real people." This is a bad thing,
contrary to what you may think.
We've had *contributors* complaining about the bot(s) for the past couple of
months/years.
I really don't think two/three people saying "I LIKE THE BOT IN MediaWiki-General SO
LEAVE IT THE HELL ALONE" trumps the wider problems here...that the bot
*needs*
to go.

(Quote bug 46144 comment 8)

Lets take this the mailing list again...
(But my two cents)
If we kick any single bot, Gerrit produces a-lot more cruft lately than
wikibugs... I, as having pointed out would prefer them all in a separate
channel that is moderated and only the bots are voiced.

(Quote bug 46144 comment 19)

(Quote bug 46144 comment 18)

That's not a valid reason, imho. We need a way to tone down what it reports,
if
it's going to stay...the rate of bug reporting & commenting is many times
greater than it once was. It's definitely gotten noisier over the years,
which
has reduced its utility.

Reduced it's utility -> in the main support channel. The bot *is* useful, I
just think it drowns out conversation these days.

(Quote bug 46144 comment 26)

What about moving them to #wikimedia-dev instead of MediaWiki-General?
I think most (actively involved) developers that are on IRC aren't disturbed
by
the feed. If they really must they're experienced enough to not be afraid of
a
simple /ignore.
Though I speak only for myself, I believe those that do want the feed, would
prefer it to be in context of regular conversation, not in a separate
channel.
It's where random bits of interesting things come by from (e.g. discussing a
change, proposing and and then someone does it or files a bug about it).
It doesn't work when in a separate channel.
See also #mediawiki-parsoid, #mediawiki-visualeditor, #wikimedia-operations,
#wikimedia-mobile etc. (and same for third parties such as #jquery-dev and
webkit).
The problem is mainly with MediaWiki-General being a support channel instead of dev
channel, not with having notifications in a human-occupied irc channel in
general.

I don't think #wikimedia-dev should exist.

Moving MediaWiki development bots to a Wikimedia channel is pretty wrong. I'd much prefer #mediawiki-feeds.

(In reply to comment #2)

I don't think #wikimedia-dev should exist.
Moving MediaWiki development bots to a Wikimedia channel is pretty wrong.

#wikimedia-dev is not Wikimedia deployment specific development. It is development of software used by Wikimedia, which all of MediaWiki is obviously part of at least as long as either MediaWiki is a Wikimedia Foundation project and Wikipedia.org runs on MediaWiki. Regardless of whether our staff maintains it or not.

#wikimedia-dev should exist by all means, it isn't specific but broad. Perhaps too broad, but that's why we have specific channels for teams that prefer their own area:

  • operations, visualeditor, parsoid, mobile, i18n.

A #mediawiki-dev could exist leaving #wikimedia-dev with only non-MediaWiki related dev stuff, but that would be rather narrow. There is no justification to split it up right now I think. It isn't too crowded and splitting it up would go at the cost of more decentralisation and less integrated communication.

I'd much prefer #mediawiki-feeds.

For what reason? Because you don't want to see it in channels that you're in?

In that case we move it out of channels not meant for developers only (MediaWiki-General) and into #wikimedia-dev where it is reasonable to ask you to use /ignore if you don't like it.

If you do find them useful, then how are they useful in a separate channel? You'd have to manually check up there to see for anything. I don't think that works well in practice. The whole idea of being exposed to other people's activities casually (without actively looking for it) wouldn't exist anymore then I believe.

Besides, what about the channels for operations, visualeditor, parsoid, mobile. They all have bots related to their activities, because it makes sense to have it in the same channel so you're exposed to each others activities and can jump into things when they come by. Separating it out is counter-intuitive.

(In reply to comment #3)

#wikimedia-dev is not Wikimedia deployment specific development. It is
development of software used by Wikimedia, which all of MediaWiki is
obviously part of at least as long as either MediaWiki is a Wikimedia
Foundation project and Wikipedia.org runs on MediaWiki. Regardless of
whether our staff maintains it or not.

This is insane. Are you hearing yourself?

I'd much prefer #mediawiki-feeds.

For what reason? Because you don't want to see it in channels that you're in?

Because it's the least bad option (other than keeping the bots in MediaWiki-General).

In that case we move it out of channels not meant for developers only
(MediaWiki-General) and into #wikimedia-dev where it is reasonable to ask you to use
/ignore if you don't like it.

This doesn't make any sense. What's accomplished here?

If you do find them useful, then how are they useful in a separate channel?
You'd have to manually check up there to see for anything. I don't think that
works well in practice. The whole idea of being exposed to other people's
activities casually (without actively looking for it) wouldn't exist anymore
then I believe.

That's a reason to either keep the bots in MediaWiki-General or not. Moving them to a separate discussion channel solves nothing.

Besides, what about the channels for operations, visualeditor, parsoid,
mobile.
They all have bots related to their activities, because it makes sense to
have it in the same channel so you're exposed to each others activities and
can jump into things when they come by. Separating it out is
counter-intuitive.

What about them? You're the one conflating gerrit-wm and wikibugs and then complaining about the two being conflated. wikibugs is only in MediaWiki-General and was the subject of its own discussion before you created this bug. gerrit-wm is in multiple channels already and serves a different purpose from wikibugs.

I wrote this before: Could we move this debate to its target audience somehow, as I'm afraid that it won't be seen in this Bugzilla report?
I understand that's hard for IRC, but maybe a generic mailing list or RFC?
I don't see much sense battling here.

Ori submitted I10a02bfe to get this done when there is approval.

(In reply to comment #6)

Ori submitted I10a02bfe to get this done when there is approval.

I'd say, why can't we do both? Lets first move it out of MediaWiki-General. That is something we all agree upon.

We'll keep it in regular talk channels for now (#wikimedia-dev).

If we believe that it is disturbing even in a developer-oriented channel (which I'm sure it won't) then we can choose to create a separate channel, but going all the way at once is unnecessary and only creates more chaos.

Related URL: https://gerrit.wikimedia.org/r/58661 (Gerrit Change I588f2eba8fba9603f33386e54e90c03e2bb5f5f0)

https://gerrit.wikimedia.org/r/#/c/57752/ , https://gerrit.wikimedia.org/r/#/c/57753/ merged.

00.31 -!- gerrit-wm [~gerrit-wm@manganese.wikimedia.org] has quit [Remote host closed the connection]
00.32 < mutante> bot is moving per merged changes
00.32 < James_F> Yup. :-)
00.32 < James_F> (Yay.)

(CEST)

06.45 -!- Nemo_bis changed the topic of #wikimedia-dev to: MediaWiki and Wikimedia software development | Support: MediaWiki-General | Technical help for Wikimedia wikis: #wikimedia-tech | Wikimedia operations: #wikimedia-operations

It used to be "Developers' talk about WMF's MediaWiki-General projects" or very similar ones (the key being WMF) since the beginning of time (creation as -usability).

Re-opened since bug 46144 is still unresolved.

(In reply to Krinkle from comment #11)

Re-opened since bug 46144 is still unresolved.

You didn't re-open this bug. It's now a tracking bug that's marked resolved/fixed with an open dependency. Hrm.

Wikibugs is dead, pywikibugs reports to #wikimedia-dev.

https://github.com/valhallasw/pywikibugs is the source for people who want to make modifications.

Danny_B renamed this task from Move wikibugs and gerrit-wm out of #mediawiki (tracking) to Move wikibugs and gerrit-wm out of #mediawiki.Jul 16 2016, 3:46 AM
Danny_B removed a project: Tracking-Neverending.
Danny_B removed a subscriber: wikibugs-l-list.